model_detailsT Struct Reference

The data structure that contains the complete model details used throughout the calculations. More...

## Data Fields

int | dangles
| Specifies the dangle model used in any energy evaluation (0,1,2 or 3) More...
int | special_hp
| Include special hairpin contributions for tri, tetra and hexaloops.
int | noLP
| Only consider canonical structures, i.e. no 'lonely' base pairs.
int | noGU
| Do not allow GU pairs.
int | noGUclosure
| Do not allow loops to be closed by GU pair.
int | logML
| Use logarithmic scaling for multi loops.
int | circ
| Assume molecule to be circular.
int | gquad
| Include G-quadruplexes in structure prediction.
int | canonicalBPonly
| remove non-canonical bp's from constraint structures

## Detailed Description

The data structure that contains the complete model details used throughout the calculations.

## Field Documentation

int model_detailsT::dangles

Specifies the dangle model used in any energy evaluation (0,1,2 or 3)

Note
  Some function do not implement all dangle model but only a subset of (0,1,2,3). Read the documentaion of the particular recurrences or energy evaluation function for information about the provided dangle model.

The documentation for this struct was generated from the following file:

- /home/mescalin/ronny/WORK/ViennaRNA/H/data_structures.h